%define name imgSeek
%define version 0.8.2
%define release 0.rc1.1mdk

Summary: Photo collection manager and viewer with content-based query.
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}rc1.tar.bz2
License: 	GPL
Group:		Graphics
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	PyQt >= 3.4  python-imaging libjpeg-progs
BuildRequires:	PyQt python-devel ImageMagick
Url: 		http://imgseek.sourceforge.net/

%description
imgSeek is a photo collection manager and viewer with content-based search 
and many other features. The query is expressed either as a rough sketch 
painted by the user or as another image you supply (or an image in your 
collection).

%prep
%setup -q -n %{name}-%{version}rc1

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

#icons
install -d -m755 %{buildroot}/{%{_miconsdir},%{_liconsdir}}
install -m644 %{name}.png %{buildroot}/%{_iconsdir}/
install -m644 %{name}.png %{buildroot}/%{_liconsdir}/
convert -resize 16x16 %{name}.png %{buildroot}/%{_miconsdir}/%{name}.png

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Multimedia/Graphics" \
title="ImgSeek" \
longtitle="ImgSeek Photo Manager" \
command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png"
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%doc ChangeLog README THANKS AUTHORS

%changelog
* Tue Sep 16 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.8.2-0.rc1.1mdk
- First mandrake package based on spec in source
- fixes for python-2.3 (p0) from author
- add menu
